
/* HEADER */
.menu-header {
    .menu-item {
        height: fit-content;
        
        a {
            font-weight: 400;
            font-size: clamp(18px, 3vw, 26px);
            line-height: 1.2em !important;
            position: relative;
            width: fit-content;
            transition: all 0.35s ease-in-out;

            &::after {
                content: '';
                background-color: var(--c-coral);
                position: absolute;
                width: 0;
                height: 2px;
                bottom: 0;
                left: 0;
                transition: all 0.35s ease-in-out;
            }

            &:hover {
                &::after {
                    width: 100%;
                }
            }
        }

        &.current-menu-item {
            & > a {
                &::after {
                    width: 100%;
                }
            }
        }

        .sub-menu {
            opacity: 1;
            display: contents !important;

            .menu-item {
                a {
                    font-size: clamp(16px, 2vw, 20px);
                }
            }
        }
    }
}
